#!/usr/bin/env bash

function setup_fish()
{
  brew install fish
  if ! grep /usr/local/bin/fish < /etc/shells >/dev/null; then
    echo /usr/local/bin/fish | sudo tee -a /etc/shells
    chsh -s /usr/local/bin/fish
  fi
}

function link_config()
{
  mkdir ${HOME}/.config
  ln -s ${DOTFILES}/fish ${HOME}/.config/.
}


export DOTFILES=/Users/thomas/dotfiles
setup_fish
link_config
