#!/usr/bin/env bash

function setup_wm()
{
  brew crisidev/homebrew-chunkwm/chunkwm
  brew koekeishiya/formulae/khd
  ln -s ${DOTFILES}/wm/khdrc ${HOME}/.khdrc
  ln -s ${DOTFILES}/wm/chunkwmrc ${HOME}/.chunkwmrc
  if ! /usr/local/bin/brew services list | grep chunkwm >/dev/null; then
    /usr/local/bin/brew services start khd
    /usr/local/bin/brew services start chunkwm
  fi
}

export DOTFILES=/Users/thomas/dotfiles
setup_wm
